IPC_RMID(9)

NAME
ipc_rmid - remove an IPC identifier

SYNOPSIS

struct kern_ipc_perm* ipc_rmid (struct ipc_ids * ids, int id);

ARGUMENTS

ids identifier set

id  Identifier to remove

DESCRIPTION

The identifier must be valid, and in use. The kernel will panic if fed an invalid identifier. The entry is removed and internal variables recomputed. The object associated with the identifier is returned. ipc_ids.sem and the spinlock for this ID is hold before this function is called, and remain locked on the exit.